CURLOPT_IPRESOLVE(3)

NAME
CURLOPT_IPRESOLVE - specify which IP protocol version to use

SYNOPSIS
#include <curl/curl.h> CURLcode curl_easy_setopt(CURL *handle, CURLOPT_IPRESOLVE, long resolve);

DESCRIPTION
Allows an application to select what kind of IP addresses to use when resolving host names. This is only interesting when using host names that resolve addresses using more than one version of IP. The allowed values are:

CURL_IPRESOLVE_WHATEVER
    Default, resolves addresses to all IP versions that your system allows.

CURL_IPRESOLVE_V4
    Resolve to IPv4 addresses.

CURL_IPRESOLVE_V6
    Resolve to IPv6 addresses.

DEFAULT
CURL_IPRESOLVE_WHATEVER

PROTOCOLS
All

EXAMPLE
CURL *curl = curl_easy_init();
if(curl) {
  curl_easy_setopt(curl, CURLOPT_URL, "http://example.com/foo.bin");
  /* resolve host name using IPv6-names only */
  curl_easy_setopt(curl, CURLOPT_IPRESOLVE, CURL_IPRESOLVE_V6);
  ret = curl_easy_perform(curl);
  curl_easy_cleanup(curl);
}

AVAILABILITY
Always

RETURN VALUE
Returns CURLE_OK

SEE ALSO
CURLOPT_HTTP_VERSION(3), CURLOPT_SSLVERSION(3),